From a5e3a84dbdaf304bc0ec191a104e9082b1eb8adb Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Fr=C3=A9d=C3=A9ric=20P=C3=A9ters?= <fpeters@entrouvert.com>
Date: Mon, 11 Jul 2022 16:45:37 +0200
Subject: [PATCH 8/8] tests: simplify pub fixtures as sql is the new default
 (#67190)

---
 tests/admin_pages/test_all.py                 |   2 +-
 tests/admin_pages/test_api_access.py          |   2 +-
 tests/admin_pages/test_block.py               |   2 +-
 tests/admin_pages/test_card.py                |  10 +-
 tests/admin_pages/test_carddefcategory.py     |   2 +-
 tests/admin_pages/test_category.py            |   2 +-
 tests/admin_pages/test_datasource.py          |  10 +-
 tests/admin_pages/test_deprecations.py        |   2 +-
 tests/admin_pages/test_form.py                |  10 +-
 tests/admin_pages/test_logged_errors.py       |   2 +-
 tests/admin_pages/test_role.py                |   2 +-
 tests/admin_pages/test_settings.py            |   4 +-
 tests/admin_pages/test_studio.py              |  21 +-
 tests/admin_pages/test_user.py                |   2 +-
 tests/admin_pages/test_workflow.py            |   2 +-
 tests/admin_pages/test_wscall.py              |   2 +-
 tests/api/test_access.py                      |  10 +-
 tests/api/test_all.py                         |   4 +-
 tests/api/test_carddef.py                     |   4 +-
 tests/api/test_category.py                    |   4 +-
 tests/api/test_custom_view.py                 |   4 +-
 tests/api/test_export_import.py               |   2 +-
 tests/api/test_formdata.py                    |   4 +-
 tests/api/test_formdef.py                     |   4 +-
 tests/api/test_statistics.py                  |   2 +-
 tests/api/test_user.py                        |   4 +-
 tests/api/test_workflow.py                    |   4 +-
 tests/backoffice_pages/test_all.py            |   4 +-
 tests/backoffice_pages/test_carddata.py       |   4 +-
 tests/backoffice_pages/test_columns.py        |   4 +-
 tests/backoffice_pages/test_custom_view.py    |   4 +-
 tests/backoffice_pages/test_export.py         |   4 +-
 tests/backoffice_pages/test_filters.py        |   4 +-
 tests/backoffice_pages/test_form_inspect.py   |   4 +-
 tests/backoffice_pages/test_sort.py           |   4 +-
 tests/backoffice_pages/test_statistics.py     |   4 +-
 tests/backoffice_pages/test_submission.py     |   4 +-
 .../backoffice_pages/test_workflow_inspect.py |   4 +-
 tests/form_pages/test_all.py                  |  18 +-
 tests/form_pages/test_block.py                |   1 -
 tests/form_pages/test_computed_field.py       |   4 +-
 tests/form_pages/test_file_field.py           |   1 -
 tests/form_pages/test_formdata.py             |   1 -
 tests/form_pages/test_live.py                 |   1 -
 tests/test_auth_pages.py                      |   2 +-
 tests/test_carddef.py                         |   2 +-
 tests/test_categories.py                      |   2 +-
 tests/test_convert_to_sql.py                  |   4 +-
 tests/test_ctl.py                             |  51 +-
 tests/test_datasource.py                      |   2 +-
 tests/test_datasource_users.py                |   2 +-
 tests/test_fc_auth.py                         |   2 +-
 tests/test_formdata.py                        |   4 +-
 tests/test_formdef.py                         |   4 +-
 tests/test_logged_errors.py                   |   2 +-
 tests/test_mail_templates.py                  |   2 +-
 tests/test_publisher.py                       |   4 +-
 tests/test_register.py                        |   2 +-
 tests/test_rootdirectory.py                   |   2 +-
 tests/test_saml_auth.py                       |   4 +-
 tests/test_snapshots.py                       |   7 +-
 tests/test_sql.py                             |   2 +-
 tests/test_token.py                           |   2 +-
 tests/test_tracking_code.py                   |   2 +-
 tests/test_upload_storage.py                  |   1 -
 tests/test_wscall.py                          |   2 +-
 tests/utilities.py                            |  22 +-
 tests/workflow/test_all.py                    | 444 +++++++++---------
 tests/workflow/test_carddata.py               |  86 ++--
 tests/workflow/test_formdata.py               |  52 +-
 tests/workflow/test_notification.py           |  44 +-
 71 files changed, 418 insertions(+), 530 deletions(-)

diff --git a/tests/admin_pages/test_all.py b/tests/admin_pages/test_all.py
index 69a388b52..f46bf3796 100644
--- a/tests/admin_pages/test_all.py
+++ b/tests/admin_pages/test_all.py
@@ -10,7 +10,7 @@ from ..utilities import clean_temporary_pub, create_temporary_pub, get_app, logi
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/admin_pages/test_api_access.py b/tests/admin_pages/test_api_access.py
index 3c48acb7a..25d56c935 100644
--- a/tests/admin_pages/test_api_access.py
+++ b/tests/admin_pages/test_api_access.py
@@ -25,7 +25,7 @@ from .test_all import create_superuser
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/admin_pages/test_block.py b/tests/admin_pages/test_block.py
index 31763354b..2dbcf5064 100644
--- a/tests/admin_pages/test_block.py
+++ b/tests/admin_pages/test_block.py
@@ -17,7 +17,7 @@ from .test_all import create_role, create_superuser
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/admin_pages/test_card.py b/tests/admin_pages/test_card.py
index 41af43669..6b899cdc9 100644
--- a/tests/admin_pages/test_card.py
+++ b/tests/admin_pages/test_card.py
@@ -19,8 +19,9 @@ from ..utilities import clean_temporary_pub, create_temporary_pub, get_app, logi
 from .test_all import create_superuser
 
 
-def pub_fixture(**kwargs):
-    pub = create_temporary_pub(**kwargs)
+@pytest.fixture
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
@@ -31,11 +32,6 @@ def pub_fixture(**kwargs):
     return pub
 
 
-@pytest.fixture
-def pub(request, emails):
-    return pub_fixture(sql_mode=True)
-
-
 def teardown_module(module):
     clean_temporary_pub()
 
diff --git a/tests/admin_pages/test_carddefcategory.py b/tests/admin_pages/test_carddefcategory.py
index f71cce17e..3364a8a70 100644
--- a/tests/admin_pages/test_carddefcategory.py
+++ b/tests/admin_pages/test_carddefcategory.py
@@ -11,7 +11,7 @@ from .test_all import create_superuser
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/admin_pages/test_category.py b/tests/admin_pages/test_category.py
index ca481289c..836187518 100644
--- a/tests/admin_pages/test_category.py
+++ b/tests/admin_pages/test_category.py
@@ -10,7 +10,7 @@ from .test_all import create_superuser
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/admin_pages/test_datasource.py b/tests/admin_pages/test_datasource.py
index 6e77ae10a..5a222c3a1 100644
--- a/tests/admin_pages/test_datasource.py
+++ b/tests/admin_pages/test_datasource.py
@@ -21,8 +21,9 @@ from ..utilities import HttpRequestsMocking, clean_temporary_pub, create_tempora
 from .test_all import create_superuser
 
 
-def pub_fixture(**kwargs):
-    pub = create_temporary_pub(**kwargs)
+@pytest.fixture
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
@@ -33,11 +34,6 @@ def pub_fixture(**kwargs):
     return pub
 
 
-@pytest.fixture
-def pub(request, emails):
-    return pub_fixture(sql_mode=True)
-
-
 def teardown_module(module):
     clean_temporary_pub()
 
diff --git a/tests/admin_pages/test_deprecations.py b/tests/admin_pages/test_deprecations.py
index 31eb0f810..3b2f59761 100644
--- a/tests/admin_pages/test_deprecations.py
+++ b/tests/admin_pages/test_deprecations.py
@@ -29,7 +29,7 @@ from .test_all import create_superuser
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/admin_pages/test_form.py b/tests/admin_pages/test_form.py
index f2ea424d8..e878a7b37 100644
--- a/tests/admin_pages/test_form.py
+++ b/tests/admin_pages/test_form.py
@@ -23,8 +23,9 @@ from ..utilities import clean_temporary_pub, create_temporary_pub, get_app, logi
 from .test_all import create_role, create_superuser
 
 
-def pub_fixture(**kwargs):
-    pub = create_temporary_pub(**kwargs)
+@pytest.fixture
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
@@ -35,11 +36,6 @@ def pub_fixture(**kwargs):
     return pub
 
 
-@pytest.fixture
-def pub(request, emails):
-    return pub_fixture(sql_mode=True)
-
-
 def teardown_module(module):
     clean_temporary_pub()
 
diff --git a/tests/admin_pages/test_logged_errors.py b/tests/admin_pages/test_logged_errors.py
index 723e39338..c9d74406e 100644
--- a/tests/admin_pages/test_logged_errors.py
+++ b/tests/admin_pages/test_logged_errors.py
@@ -13,7 +13,7 @@ from .test_all import create_superuser
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
     pub.cfg['identification'] = {'methods': ['password']}
diff --git a/tests/admin_pages/test_role.py b/tests/admin_pages/test_role.py
index e63ff227b..4397bdde5 100644
--- a/tests/admin_pages/test_role.py
+++ b/tests/admin_pages/test_role.py
@@ -9,7 +9,7 @@ from .test_all import create_superuser
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/admin_pages/test_settings.py b/tests/admin_pages/test_settings.py
index 458d8a63d..91737ec53 100644
--- a/tests/admin_pages/test_settings.py
+++ b/tests/admin_pages/test_settings.py
@@ -32,8 +32,8 @@ from .test_all import create_superuser
 
 
 @pytest.fixture
-def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+def pub():
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/admin_pages/test_studio.py b/tests/admin_pages/test_studio.py
index 14c2e8b74..3321cd7f9 100644
--- a/tests/admin_pages/test_studio.py
+++ b/tests/admin_pages/test_studio.py
@@ -17,8 +17,9 @@ from ..utilities import clean_temporary_pub, create_temporary_pub, get_app, logi
 from .test_all import create_superuser
 
 
-def pub_fixture(**kwargs):
-    pub = create_temporary_pub(**kwargs)
+@pytest.fixture
+def pub():
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
@@ -29,16 +30,6 @@ def pub_fixture(**kwargs):
     return pub
 
 
-@pytest.fixture
-def pub(request):
-    return pub_fixture(sql_mode=True)
-
-
-@pytest.fixture
-def sql_pub(request):
-    return pub_fixture(sql_mode=True)
-
-
 def teardown_module(module):
     clean_temporary_pub()
 
@@ -98,8 +89,7 @@ def test_studio_home(pub):
     assert '../settings/' not in resp.text
 
 
-def test_studio_home_recent_errors(sql_pub):
-    pub = sql_pub
+def test_studio_home_recent_errors(pub):
     create_superuser(pub)
 
     app = login(get_app(pub))
@@ -135,8 +125,7 @@ def test_studio_home_recent_errors(sql_pub):
     assert 'logged-errors/%s/' % errors[5].id in resp
 
 
-def test_studio_home_recent_changes(sql_pub):
-    pub = sql_pub
+def test_studio_home_recent_changes(pub):
     create_superuser(pub)
 
     BlockDef.wipe()
diff --git a/tests/admin_pages/test_user.py b/tests/admin_pages/test_user.py
index a19822d9a..8c9a189f7 100644
--- a/tests/admin_pages/test_user.py
+++ b/tests/admin_pages/test_user.py
@@ -11,7 +11,7 @@ from .test_all import create_role, create_superuser
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/admin_pages/test_workflow.py b/tests/admin_pages/test_workflow.py
index 913f59aad..d60d2465c 100644
--- a/tests/admin_pages/test_workflow.py
+++ b/tests/admin_pages/test_workflow.py
@@ -32,7 +32,7 @@ from .test_all import create_superuser
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/admin_pages/test_wscall.py b/tests/admin_pages/test_wscall.py
index efe067a35..1a10245a8 100644
--- a/tests/admin_pages/test_wscall.py
+++ b/tests/admin_pages/test_wscall.py
@@ -13,7 +13,7 @@ from .test_all import create_superuser
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/api/test_access.py b/tests/api/test_access.py
index 0ee91d382..ae08ecdaa 100644
--- a/tests/api/test_access.py
+++ b/tests/api/test_access.py
@@ -19,8 +19,8 @@ from ..utilities import clean_temporary_pub, create_temporary_pub, get_app, logi
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
@@ -72,9 +72,9 @@ def admin_user():
     return user
 
 
-@pytest.fixture(params=['sql', 'pickle'])
-def no_request_pub(request):
-    pub = create_temporary_pub(sql_mode=bool(request.param == 'sql'))
+@pytest.fixture
+def no_request_pub():
+    pub = create_temporary_pub()
     pub.app_dir = os.path.join(pub.APP_DIR, 'example.net')
     pub.set_config()
 
diff --git a/tests/api/test_all.py b/tests/api/test_all.py
index 4df7c7a0b..33202ca45 100644
--- a/tests/api/test_all.py
+++ b/tests/api/test_all.py
@@ -15,8 +15,8 @@ from ..utilities import clean_temporary_pub, create_temporary_pub, get_app
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/api/test_carddef.py b/tests/api/test_carddef.py
index b24a66672..d8b0ca76f 100644
--- a/tests/api/test_carddef.py
+++ b/tests/api/test_carddef.py
@@ -28,8 +28,8 @@ from .utils import sign_uri
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/api/test_category.py b/tests/api/test_category.py
index d311f3c03..b45a9863f 100644
--- a/tests/api/test_category.py
+++ b/tests/api/test_category.py
@@ -12,8 +12,8 @@ from .utils import sign_uri
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/api/test_custom_view.py b/tests/api/test_custom_view.py
index d55134267..9f47e9628 100644
--- a/tests/api/test_custom_view.py
+++ b/tests/api/test_custom_view.py
@@ -17,8 +17,8 @@ from .utils import sign_uri
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/api/test_export_import.py b/tests/api/test_export_import.py
index 01adec8a6..450ae3c9b 100644
--- a/tests/api/test_export_import.py
+++ b/tests/api/test_export_import.py
@@ -21,7 +21,7 @@ from .utils import sign_uri
 
 @pytest.fixture
 def pub():
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     with open(os.path.join(pub.app_dir, 'site-options.cfg'), 'w') as fd:
         fd.write(
             '''\
diff --git a/tests/api/test_formdata.py b/tests/api/test_formdata.py
index f93bab0c9..c2c674c74 100644
--- a/tests/api/test_formdata.py
+++ b/tests/api/test_formdata.py
@@ -30,8 +30,8 @@ from .utils import sign_uri
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/api/test_formdef.py b/tests/api/test_formdef.py
index 95318921b..db445c004 100644
--- a/tests/api/test_formdef.py
+++ b/tests/api/test_formdef.py
@@ -27,8 +27,8 @@ from .utils import sign_uri
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/api/test_statistics.py b/tests/api/test_statistics.py
index 5ec55e39b..cf25d519e 100644
--- a/tests/api/test_statistics.py
+++ b/tests/api/test_statistics.py
@@ -17,7 +17,7 @@ from .utils import sign_uri
 
 @pytest.fixture
 def pub():
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     BlockDef.wipe()
     Category.wipe()
     FormDef.wipe()
diff --git a/tests/api/test_user.py b/tests/api/test_user.py
index 9d436d734..41b3cf37b 100644
--- a/tests/api/test_user.py
+++ b/tests/api/test_user.py
@@ -20,8 +20,8 @@ from .utils import sign_uri
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/api/test_workflow.py b/tests/api/test_workflow.py
index 3520ca623..634c868c3 100644
--- a/tests/api/test_workflow.py
+++ b/tests/api/test_workflow.py
@@ -17,8 +17,8 @@ from .utils import sign_uri
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/backoffice_pages/test_all.py b/tests/backoffice_pages/test_all.py
index 96ccce2ca..25b492820 100644
--- a/tests/backoffice_pages/test_all.py
+++ b/tests/backoffice_pages/test_all.py
@@ -30,8 +30,8 @@ from ..utilities import clean_temporary_pub, create_temporary_pub, get_app, logi
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/backoffice_pages/test_carddata.py b/tests/backoffice_pages/test_carddata.py
index d4aaab86d..65149c42e 100644
--- a/tests/backoffice_pages/test_carddata.py
+++ b/tests/backoffice_pages/test_carddata.py
@@ -18,8 +18,8 @@ from .test_all import create_superuser, create_user
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/backoffice_pages/test_columns.py b/tests/backoffice_pages/test_columns.py
index a0405e8e1..0246fc279 100644
--- a/tests/backoffice_pages/test_columns.py
+++ b/tests/backoffice_pages/test_columns.py
@@ -17,8 +17,8 @@ from .test_all import create_superuser
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/backoffice_pages/test_custom_view.py b/tests/backoffice_pages/test_custom_view.py
index a2d4c50c3..f304e2e8f 100644
--- a/tests/backoffice_pages/test_custom_view.py
+++ b/tests/backoffice_pages/test_custom_view.py
@@ -15,8 +15,8 @@ from .test_all import create_superuser, create_user
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/backoffice_pages/test_export.py b/tests/backoffice_pages/test_export.py
index c057d470b..656c8a3d2 100644
--- a/tests/backoffice_pages/test_export.py
+++ b/tests/backoffice_pages/test_export.py
@@ -20,8 +20,8 @@ from .test_all import create_superuser
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/backoffice_pages/test_filters.py b/tests/backoffice_pages/test_filters.py
index 6ab17fec1..bd7eee481 100644
--- a/tests/backoffice_pages/test_filters.py
+++ b/tests/backoffice_pages/test_filters.py
@@ -17,8 +17,8 @@ from .test_all import create_environment, create_superuser
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/backoffice_pages/test_form_inspect.py b/tests/backoffice_pages/test_form_inspect.py
index 249835ab2..34543c90d 100644
--- a/tests/backoffice_pages/test_form_inspect.py
+++ b/tests/backoffice_pages/test_form_inspect.py
@@ -19,8 +19,8 @@ from .test_all import create_user
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.cfg['identification'] = {'methods': ['password']}
diff --git a/tests/backoffice_pages/test_sort.py b/tests/backoffice_pages/test_sort.py
index 3872e631e..b33cfbc7c 100644
--- a/tests/backoffice_pages/test_sort.py
+++ b/tests/backoffice_pages/test_sort.py
@@ -16,8 +16,8 @@ from .test_all import create_superuser
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/backoffice_pages/test_statistics.py b/tests/backoffice_pages/test_statistics.py
index 23e6d8f34..66d91428e 100644
--- a/tests/backoffice_pages/test_statistics.py
+++ b/tests/backoffice_pages/test_statistics.py
@@ -11,8 +11,8 @@ from .test_all import create_environment, create_superuser, create_user
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/backoffice_pages/test_submission.py b/tests/backoffice_pages/test_submission.py
index a848d9007..e2139e4bf 100644
--- a/tests/backoffice_pages/test_submission.py
+++ b/tests/backoffice_pages/test_submission.py
@@ -18,8 +18,8 @@ from .test_all import create_superuser, create_user
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/backoffice_pages/test_workflow_inspect.py b/tests/backoffice_pages/test_workflow_inspect.py
index f3ac04004..cc0387509 100644
--- a/tests/backoffice_pages/test_workflow_inspect.py
+++ b/tests/backoffice_pages/test_workflow_inspect.py
@@ -15,8 +15,8 @@ from .test_all import create_superuser
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.cfg['identification'] = {'methods': ['password']}
diff --git a/tests/form_pages/test_all.py b/tests/form_pages/test_all.py
index dfc0a84d7..bee62bb23 100644
--- a/tests/form_pages/test_all.py
+++ b/tests/form_pages/test_all.py
@@ -65,8 +65,9 @@ def pytest_generate_tests(metafunc):
         metafunc.parametrize('pub', ['sql', 'sql-lazy'], indirect=True)
 
 
-def pub_fixture(**kwargs):
-    pub = create_temporary_pub(**kwargs)
+@pytest.fixture
+def pub(request):
+    pub = create_temporary_pub(lazy_mode=bool('lazy' in request.param))
     pub.cfg['identification'] = {'methods': ['password']}
     pub.cfg['language'] = {'language': 'en'}
     pub.write_cfg()
@@ -78,16 +79,6 @@ def pub_fixture(**kwargs):
     return pub
 
 
-@pytest.fixture
-def pub(request, emails):
-    return pub_fixture(sql_mode=bool('sql' in request.param), lazy_mode=bool('lazy' in request.param))
-
-
-@pytest.fixture
-def sql_pub(request, emails):
-    return pub_fixture(sql_mode=True)
-
-
 @pytest.fixture
 def error_email(pub):
     pub.cfg['debug'] = {'error_email': 'errors@localhost.invalid'}
@@ -4732,8 +4723,7 @@ def test_form_ranked_items_randomize_order(pub):
     assert len(orders.keys()) > 1
 
 
-def test_form_autosave(sql_pub):
-    pub = sql_pub
+def test_form_autosave(pub):
     formdef = create_formdef()
     formdef.fields = [
         fields.PageField(id='0', label='1st page', type='page'),
diff --git a/tests/form_pages/test_block.py b/tests/form_pages/test_block.py
index 4ab7c3a32..20ea1eecb 100644
--- a/tests/form_pages/test_block.py
+++ b/tests/form_pages/test_block.py
@@ -25,7 +25,6 @@ def pytest_generate_tests(metafunc):
 @pytest.fixture
 def pub(request, emails):
     pub = create_temporary_pub(
-        sql_mode=bool('sql' in request.param),
         lazy_mode=bool('lazy' in request.param),
     )
     pub.cfg['identification'] = {'methods': ['password']}
diff --git a/tests/form_pages/test_computed_field.py b/tests/form_pages/test_computed_field.py
index 22086e0c3..bbbb8264e 100644
--- a/tests/form_pages/test_computed_field.py
+++ b/tests/form_pages/test_computed_field.py
@@ -16,8 +16,8 @@ from .test_all import create_user
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(sql_mode=True)
+def pub(emails):
+    pub = create_temporary_pub()
     pub.cfg['identification'] = {'methods': ['password']}
     pub.cfg['language'] = {'language': 'en'}
     pub.write_cfg()
diff --git a/tests/form_pages/test_file_field.py b/tests/form_pages/test_file_field.py
index 8f1d59565..f2e65c301 100644
--- a/tests/form_pages/test_file_field.py
+++ b/tests/form_pages/test_file_field.py
@@ -28,7 +28,6 @@ def pytest_generate_tests(metafunc):
 @pytest.fixture
 def pub(request):
     pub = create_temporary_pub(
-        sql_mode=bool('sql' in request.param),
         lazy_mode=bool('lazy' in request.param),
     )
     pub.cfg['identification'] = {'methods': ['password']}
diff --git a/tests/form_pages/test_formdata.py b/tests/form_pages/test_formdata.py
index 80f4441cd..b845258ee 100644
--- a/tests/form_pages/test_formdata.py
+++ b/tests/form_pages/test_formdata.py
@@ -35,7 +35,6 @@ def pytest_generate_tests(metafunc):
 @pytest.fixture
 def pub(request, emails):
     pub = create_temporary_pub(
-        sql_mode=bool('sql' in request.param),
         lazy_mode=bool('lazy' in request.param),
     )
     pub.cfg['identification'] = {'methods': ['password']}
diff --git a/tests/form_pages/test_live.py b/tests/form_pages/test_live.py
index e867894d9..83de71200 100644
--- a/tests/form_pages/test_live.py
+++ b/tests/form_pages/test_live.py
@@ -27,7 +27,6 @@ def pytest_generate_tests(metafunc):
 @pytest.fixture
 def pub(request):
     pub = create_temporary_pub(
-        sql_mode=bool('sql' in request.param),
         lazy_mode=bool('lazy' in request.param),
     )
     pub.cfg['identification'] = {'methods': ['password']}
diff --git a/tests/test_auth_pages.py b/tests/test_auth_pages.py
index 6603826b3..06780774c 100644
--- a/tests/test_auth_pages.py
+++ b/tests/test_auth_pages.py
@@ -9,7 +9,7 @@ from .utilities import clean_temporary_pub, create_temporary_pub, get_app, login
 
 @pytest.fixture
 def pub():
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     pub.cfg['identification'] = {'methods': ['password']}
     pub.cfg['language'] = {'language': 'en'}
     pub.write_cfg()
diff --git a/tests/test_carddef.py b/tests/test_carddef.py
index 068b210c0..7cb2222fa 100644
--- a/tests/test_carddef.py
+++ b/tests/test_carddef.py
@@ -17,7 +17,7 @@ from .utilities import clean_temporary_pub, create_temporary_pub
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
     pub.cfg['language'] = {'language': 'en'}
diff --git a/tests/test_categories.py b/tests/test_categories.py
index 63b185486..b6f173501 100644
--- a/tests/test_categories.py
+++ b/tests/test_categories.py
@@ -16,7 +16,7 @@ def setup_module(module):
 
     global pub
 
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
 
 def teardown_module(module):
diff --git a/tests/test_convert_to_sql.py b/tests/test_convert_to_sql.py
index 6af8493d6..4a29d2a07 100644
--- a/tests/test_convert_to_sql.py
+++ b/tests/test_convert_to_sql.py
@@ -85,7 +85,7 @@ def database(cursor):
 
 @pytest.fixture()
 def pub(request):
-    pub = create_temporary_pub(sql_mode=False)
+    pub = create_temporary_pub(pickle_mode=True)
     yield pub
     clean_temporary_pub()
 
@@ -125,7 +125,7 @@ def test_database_does_not_exist(pub):
 
 
 def test_already_migrated_fails():
-    create_temporary_pub(sql_mode=True)
+    create_temporary_pub()
     with pytest.raises(CommandError) as excinfo:
         call_command('convert_to_sql', '-d', 'example.net', '--database', 'foobar')
     assert str(excinfo.value) == 'tenant already using postgresql'
